#ifndef __TASK_H
#define	__TASK_H
#include "includes.h"
#include "stm32f2xx.h"
#include "radio.h"
#include "gateway_message.h"
//主要的数据处理线程
#define DATA_TASK_PRIO 8
#define DATA_STK_SIZE  2*1024

extern void data_task(void *pdata);

// 自定义 JSONItem 结构体用来表示 JSON 数据项
typedef struct
{
    char deviceId[20];
    int power;
    int temp;
    int mode;
    int fan;
    int roomTemp;
    int fault;
} JSONItem;

void WRITE_MODBUS_DATA(char* buf);
extern tRadioDriver *Radio;

int* get_jsoncunt();
#endif
